.body
{
    padding:1px;
    color: black;
    background-color:white;
    border: 0px;
}

a:link
{
    /* color: #006ce0; */
    color: #06e;
}

a:visited { color: #00a; }
a:link:hover, a:visited:hover { color:#999; }

.header
{
    background-color: #06e;
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    padding: 0.5em;
    margin-bottom: 2em;
    border-bottom: 1px solid black;
    height: 3em;
}

h1
{
    margin: 0px;
}

h3
{
    border-top: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
}

.sidebar
{
    position: absolute;
    left: 0px;
    top: 4em;
    width: 18em;
    border-right: 1px solid #999;
    padding: 1.5em 0px 2em 0em; /* top right bottom left */
    margin: 1px 0 0 0;
    background-color: #eee;
}

.sidebar div
{
    padding: 0;
    margin: 0.5em 0 0 0;
}

.sidebar h1
{
    padding: 0 0 0 0.5em;
    font-size: large;
    font-weight: bold;
}

.sidebar .sidebar-links
{
    font-weight: bold;
    border-bottom: 1px solid #999;
}

.sidebar .sidebar-links ul
{
    /* margin: 4px 0px 0px 0px; */
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

.sidebar .sidebar-links li
{
    margin: 0px;
    padding: 0px;
}

.sidebar ul
{
    margin: 4px 0px 0px 0px;
    padding: 0px;
    list-style-type: disc;
    list-style-position: outside; 
}

.sidebar li
{
    margin: 0 1em 0 2em;
    padding: 1em 0 1em 0;
}

.sidebar .sidebar-links a, .sidebar .sidebar-links a:visited, .sidebar
.sidebar-links a:link, .sidebar .sidebar-links .sidebar-current
{
    padding: 4px 0px 4px 2em;
    border-top: 1px solid #fff; 
    margin: 0px;
    display: block;
    text-decoration: none;
}

.sidebar a:visited
{
    color: #06e;
}

.sidebar .sidebar-links a:hover
{
    background-color: #06e;
    color: #eee;
}

.sidebar a:hover
{
    color: #999;
}

.sidebar .sidebar-search
{
    margin: 0;
    padding: 0.5em 1em 0 0;
    border-bottom: 1px solid #999;
}

.sidebar form
{
    padding-left: 1em;
    padding-bottom: 1.5em;
}

.sidebar .sidebar-comment
{
    margin: 0;
    padding: 4px 1em 0px 1em;
    border-top: 1px solid #999; 
}

.body
{
    position: absolute;
    top: 4em;
    left: 18em; 
    border-left: 1px solid #999;
    margin-top: 1px;
    padding: 2em 3em 2em 2em;
}

table
{
    border: 1px solid black;
    border-collapse: collapse;
    text-align: left;
}

th
{
    padding: 5px; 
    font-weight: bold;
    border: 1px solid black;
}

td
{ 
     padding: 5px; 
     border: 1px solid black;
}

tr.dark
{
    background-color: #ddf;
}

td.dark
{
    background-color: #ddf;
}

h2
{
    background-color: #7ae;
    padding: 2px 5px 2px 5px;
    color: #000;
    /* width: 100%; */
}

li
{
    /* padding: 0 0 1em 0; */
}

.announcements li
{
    padding: 0px 0px 0px 20px;
    list-style-type: none;
    background: url("images/red_pushpin.png") no-repeat 0 0px;
}

.announcements ul ul, .sidebar .announcements ul ul
{
    padding: 0px 0px 0px 15px;
}

.announcements ul ul li, .sidebar .announcements ul ul li
{
    padding: 0px;
    list-style-type: disc;
    background: none;
}

.sidebar .announcements ul
{
    margin-top: 1em;
}

.sidebar .announcements li
{
    margin: 0 1em 0 1em;
    padding: 0em 0 2em 20px;
    list-style-type: none;
    background: url("images/red_pushpin.png") no-repeat 0 0px;
}

.intro table
{
    border: 0px;
}

.intro td
{
    border: 0px;
}

.intro th
{
    border: 0px;
}

.exams table
{
    border: 0px;
}

.exams td
{
    border: 0px;
    padding: 0px 2em 0px 0px;
}

.exams ul
{
    margin: 0px;
}

.upcoming ul
{
    /* margin: 4px 0px 0px 0px; */
    margin: 0px;
    padding: 0px;
    list-style-type: none;
    border-top: 1px solid #999;
}

.upcoming li
{
    margin: 0;
    padding: 0px 20px 0px 20px;
    border-bottom: 1px solid #999;
}

.problem-session ul
{
    margin: 0px 0px 0px 20px;
    padding: 0px;
}

.problem-session li
{
    margin: 0px;
    padding: 0px;
}

.body ul ul ul
{
    margin: 0px;
    padding: 0px 0px 0px 18px;
}

input,textarea
{
    font-size: medium;
    background-color: #cccccc;
    border: 1px solid #666666;
}

input[type="submit"]
{
    padding: 0px;
}

input[type="submit"]:hover
{
    background-color: #ffffff;
}

.solutions
{
    border: 3px solid #00f;
    background-color: #eee;
    padding: 3px;
}

.sidebar .announcements p
{
    margin: 0.5em 0 0 0;
}

.warning
{
    border: 3px solid #f00;
    background-color: #fff;
    padding: 3px;
    margin-bottom: 1em;
}

.triangle
{
    cursor: pointer;
    border: 0px;
    padding: 0px;
    padding-left: 18px; 
    margin-left: 20px;
    background: url("images/closed-triangle.png") no-repeat;    
}

.description
{
    margin: 0px;
    margin-left: 40px;
}